Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.compat
Class JreCompat

    java.lang.Object
      org.apache.tomcat.util.compat.JreCompat

    public class JreCompat

extends java.lang.Object

This is the base implementation class for JRE compatibility and provides an implementation based on Java 5. Sub-classes may extend this class and provide alternative implementations for later JRE versions

Constructor Summary
`JreCompat()`

Method Summary
`java.util.Locale` | `forLanguageTag(java.lang.String languageTag)`
`static JreCompat` | `getInstance()`
`boolean` | `isInstanceOfInaccessibleObjectException(java.lang.Exception e)` Test if the provided exception is an instance of java.lang.reflect.InaccessibleObjectException.
`static boolean` | `isJre6Available()`
`static boolean` | `isJre7Available()`
`static boolean` | `isJre8Available()`
`static boolean` | `isJre9Available()`
`void` | `setUseServerCipherSuitesOrder(javax.net.ssl.SSLEngine engine, boolean useCipherSuitesOrder)`
`void` | `setUseServerCipherSuitesOrder(javax.net.ssl.SSLServerSocket socket, boolean useCipherSuitesOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JreCompat

    public JreCompat()

Method Detail

### getInstance

    public static JreCompat getInstance()

### isJre6Available

    public static boolean isJre6Available()

### isJre7Available

    public static boolean isJre7Available()

### forLanguageTag

    public java.util.Locale forLanguageTag(java.lang.String languageTag)

### isJre8Available

    public static boolean isJre8Available()

### setUseServerCipherSuitesOrder

    public void setUseServerCipherSuitesOrder(javax.net.ssl.SSLServerSocket socket,
                                              boolean useCipherSuitesOrder)

### setUseServerCipherSuitesOrder

    public void setUseServerCipherSuitesOrder(javax.net.ssl.SSLEngine engine,
                                              boolean useCipherSuitesOrder)

### isJre9Available

    public static boolean isJre9Available()

### isInstanceOfInaccessibleObjectException

    public boolean isInstanceOfInaccessibleObjectException(java.lang.Exception e)

  Test if the provided exception is an instance of java.lang.reflect.InaccessibleObjectException.

  Parameters:
    `e` - The exception to test
  Returns:
    `true` if the exception is an instance of InaccessibleObjectException, otherwise `false`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.